import { SimpleLocalClient } from '../../core/index.js';
import type { IEheimdigitalConfig } from './eheimdigital.types.js';
import { eheimdigitalProfile } from './eheimdigital.types.js';

export class EheimdigitalClient extends SimpleLocalClient<IEheimdigitalConfig> {
  constructor(configArg: IEheimdigitalConfig) {
    super(eheimdigitalProfile, configArg);
  }
}
